<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/rtc.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">rtc.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d1b/rtc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __RTC_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __RTC_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef  __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace2e621cf311ddafd978e876953bbd86">   35</a></span><span class="preprocessor">#define RTC_INIT_KEY         0xA5EB1357  </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefb0e06ea59926e7709bedb051769d18">   36</a></span><span class="preprocessor">#define RTC_WRITE_KEY        0xA965         </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4509da3e94e7e0db18aec46a165639e9">   38</a></span><span class="preprocessor">#define RTC_WAIT_COUNT       0xFFFFFFFF     </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf4bc57ef88a74f48a523fc619e44e5d6">   40</a></span><span class="preprocessor">#define RTC_YEAR2000         2000            </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1ffda007d70a9a079244d8834314078">   41</a></span><span class="preprocessor">#define RTC_FCR_REFERENCE    32761           </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">   43</a></span><span class="preprocessor">#define RTC_CLOCK_12         0                </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">   44</a></span><span class="preprocessor">#define RTC_CLOCK_24         1                </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">   46</a></span><span class="preprocessor">#define RTC_AM               1                </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">   47</a></span><span class="preprocessor">#define RTC_PM               2                </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacae7474edb8348888c19f53eed6e04cb">   49</a></span><span class="preprocessor">#define RTC_TICK_1_SEC       ((uint32_t) 0x00000000)   </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b24bdfec65411ed86561c5057b6e2d3">   50</a></span><span class="preprocessor">#define RTC_TICK_1_2_SEC     ((uint32_t) 0x00000001)   </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22acfe416fd7fd64246d90f4b1c2d37c">   51</a></span><span class="preprocessor">#define RTC_TICK_1_4_SEC     ((uint32_t) 0x00000002)   </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga63d16421cb8cf2ae29f2e0001f00cd23">   52</a></span><span class="preprocessor">#define RTC_TICK_1_8_SEC     ((uint32_t) 0x00000003)   </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad376fffcee4cad18823b456f777185b">   53</a></span><span class="preprocessor">#define RTC_TICK_1_16_SEC    ((uint32_t) 0x00000004)   </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga208b9d944db8cd72fb7c771d05997889">   54</a></span><span class="preprocessor">#define RTC_TICK_1_32_SEC    ((uint32_t) 0x00000005)   </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20fa7a7cd34ad66ba1cf5274576bab93">   55</a></span><span class="preprocessor">#define RTC_TICK_1_64_SEC    ((uint32_t) 0x00000006)   </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f1df452ec1c9aa318763f8e3828b451">   56</a></span><span class="preprocessor">#define RTC_TICK_1_128_SEC   ((uint32_t) 0x00000007)   </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">   58</a></span><span class="preprocessor">#define RTC_SUNDAY       ((uint32_t) 0x00000000)   </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">   59</a></span><span class="preprocessor">#define RTC_MONDAY       ((uint32_t) 0x00000001)   </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">   60</a></span><span class="preprocessor">#define RTC_TUESDAY      ((uint32_t) 0x00000002)   </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">   61</a></span><span class="preprocessor">#define RTC_WEDNESDAY    ((uint32_t) 0x00000003)   </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">   62</a></span><span class="preprocessor">#define RTC_THURSDAY     ((uint32_t) 0x00000004)   </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">   63</a></span><span class="preprocessor">#define RTC_FRIDAY       ((uint32_t) 0x00000005)   </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">   64</a></span><span class="preprocessor">#define RTC_SATURDAY     ((uint32_t) 0x00000006)   </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86896ecf9392dc45baaa71f0284197a3">   67</a></span><span class="preprocessor">#define RTC_SNOOPER_RISING   0      </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f0cb8f0e36d056a6e0220ef7507134d">   68</a></span><span class="preprocessor">#define RTC_SNOOPER_FALLING  1       </span><span class="comment">/* end of group NANO1X2_RTC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">   81</a></span><span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf57f7bbfd9a465e0d40bffd6374871f">   82</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf57f7bbfd9a465e0d40bffd6374871f">u32Year</a>;          </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f8319a6c75aa27d786f938d84aa0c9">   83</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f8319a6c75aa27d786f938d84aa0c9">u32Month</a>;         </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e1878e1510ce6ead051162995c6dc19">   84</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e1878e1510ce6ead051162995c6dc19">u32Day</a>;           </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c962807d6695fe7ebed72d1f14d0a5">   85</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c962807d6695fe7ebed72d1f14d0a5">u32DayOfWeek</a>;     </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga47000df9a2b3e5007206cff3a64a13a0">   86</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga47000df9a2b3e5007206cff3a64a13a0">u32Hour</a>;          </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga73517c90b11996fdd2f7d88c9d52108b">   87</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga73517c90b11996fdd2f7d88c9d52108b">u32Minute</a>;        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad18f79857eb312939ada311a91b0ae62">   88</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad18f79857eb312939ada311a91b0ae62">u32Second</a>;        </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad3abd0c20af75576b6f3ab0d0dcb67fe">   89</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad3abd0c20af75576b6f3ab0d0dcb67fe">u32TimeScale</a>;     </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36cfd8ed019c8243b7eaf1cb37985073">   90</a></span>    uint32_t <a class="code hl_variable" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36cfd8ed019c8243b7eaf1cb37985073">u32AmPm</a>;          </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>} <a class="code hl_struct" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> <span class="comment">/* end of group NANO1X2_RTC_EXPORTED_STRUCTS */</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac55d7cf872b90e802ffbfdecd466ea8a">  109</a></span><span class="preprocessor">#define RTC_READ_SPARE_REGISTER(u32RegNum)    (RTC-&gt;SPR[u32RegNum])</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7673a733b8ddfd27865ebb03ae5b47a5">  120</a></span><span class="preprocessor">#define RTC_WRITE_SPARE_REGISTER(u32RegNum, u32RegValue)    (RTC-&gt;SPR[u32RegNum] = u32RegValue)</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cdf540e4c00e818a6e0f52873058e81">  131</a></span><span class="preprocessor">#define RTC_IS_LEAP_YEAR()    ((RTC-&gt;LIR &amp; (RTC_LIR_LIR_Msk))?1:0)</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78901ec0a6bc00faa9c222a34788a98">  141</a></span><span class="preprocessor">#define RTC_CLEAR_ALARM_INT_FLAG()    (RTC-&gt;RIIR = RTC_RIIR_AIF_Msk)</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9f9bc7680ebe6eb41a1821bfdbc4b35">  151</a></span><span class="preprocessor">#define RTC_CLEAR_TICK_INT_FLAG()    (RTC-&gt;RIIR = RTC_RIIR_TIF_Msk)</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6aa031784a68b2ccfa39d325e83b4350">  161</a></span><span class="preprocessor">#define RTC_GET_ALARM_INT_FLAG()    ((RTC-&gt;RIIR &amp; RTC_RIIR_AIF_Msk) &gt;&gt; RTC_RIIR_AIF_Pos)</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1083ef9c749476d417d53d194bbff608">  171</a></span><span class="preprocessor">#define RTC_CLEAR_TAMPER_FLAG(u32PinNum)    (RTC-&gt;RIIR = RTC_RIIR_SNOOPIF_Msk)</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf089de7182cd191001a1ebad4768ff51">  181</a></span><span class="preprocessor">#define RTC_GET_TICK_INT_FLAG()    ((RTC-&gt;RIIR &amp; RTC_RIIR_TIF_Msk) &gt;&gt; RTC_RIIR_TIF_Pos)</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedde748317bd4f2187caabf22713873c">  192</a></span><span class="preprocessor">#define RTC_GET_TAMPER_FLAG()    ( (RTC-&gt;RIIR &amp; RTC_RIIR_SNOOPIF_Msk) &gt;&gt; RTC_RIIR_SNOOPIF_Pos)</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab621aaec187157f72a666429a560a1a0">  202</a></span><span class="preprocessor">#define RTC_ENABLE_TICK_WAKEUP() (RTC-&gt;TTR |= RTC_TTR_TWKE_Msk);</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5d210fea3743a7fb8bc4cc1cfb155a83">  212</a></span><span class="preprocessor">#define RTC_DISABLE_TICK_WAKEUP() (RTC-&gt;TTR &amp;= ~RTC_TTR_TWKE_Msk);</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">RTC_Open</a>(<a class="code hl_struct" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt);</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">RTC_Close</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">RTC_32KCalibration</a>(int32_t i32FrequencyX100);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">RTC_SetTickPeriod</a>(uint32_t u32TickSelection);</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">RTC_EnableInt</a>(uint32_t u32IntFlagMask);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">RTC_DisableInt</a>(uint32_t u32IntFlagMask);</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>uint32_t <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">RTC_GetDayOfWeek</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">RTC_DisableTamperDetection</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">RTC_EnableTamperDetection</a>(uint32_t u32PinCondition);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">RTC_SetAlarmTime</a>(uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">RTC_SetAlarmDate</a>(uint32_t u32Year, uint32_t u32Month, uint32_t u32Day);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">RTC_SetTime</a>(uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm);</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">RTC_SetDate</a>(uint32_t u32Year, uint32_t u32Month, uint32_t u32Day, uint32_t u32DayOfWeek);</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">RTC_SetAlarmDateAndTime</a>(<a class="code hl_struct" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">RTC_SetDateAndTime</a>(<a class="code hl_struct" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt);</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">RTC_GetAlarmDateAndTime</a>(<a class="code hl_struct" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt);</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">RTC_GetDateAndTime</a>(<a class="code hl_struct" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt);</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> <span class="comment">/* end of group NANO1X2_RTC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span> <span class="comment">/* end of group NANO1X2_RTC_Driver */</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="preprocessor">#ifdef  __cplusplus</span></div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>}</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span><span class="preprocessor">#endif </span><span class="comment">/* __RTC_H__ */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span> </div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga04757169c2ecc5daf11616e7a94b103d"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">RTC_EnableInt</a></div><div class="ttdeci">void RTC_EnableInt(uint32_t u32IntFlagMask)</div><div class="ttdoc">The function is used to enable specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00890">rtc.c:890</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga068ecf4e2fa445cf5a2e86d5226b659c"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">RTC_32KCalibration</a></div><div class="ttdeci">void RTC_32KCalibration(int32_t i32FrequencyX100)</div><div class="ttdoc">Set Frequency Compensation Data.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00058">rtc.c:58</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga13410b882014dab95d772d5f4c74a587"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">RTC_GetDayOfWeek</a></div><div class="ttdeci">uint32_t RTC_GetDayOfWeek(void)</div><div class="ttdoc">This function is used to get day of week.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00841">rtc.c:841</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga17bb208aa8fa4bda753b7fb7ef051be4"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">RTC_SetDateAndTime</a></div><div class="ttdeci">void RTC_SetDateAndTime(S_RTC_TIME_DATA_T *sPt)</div><div class="ttdoc">This function is used to update date/time to RTC.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00428">rtc.c:428</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga28f8319a6c75aa27d786f938d84aa0c9"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f8319a6c75aa27d786f938d84aa0c9">S_RTC_TIME_DATA_T::u32Month</a></div><div class="ttdeci">uint32_t u32Month</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00083">rtc.h:83</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga36cfd8ed019c8243b7eaf1cb37985073"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36cfd8ed019c8243b7eaf1cb37985073">S_RTC_TIME_DATA_T::u32AmPm</a></div><div class="ttdeci">uint32_t u32AmPm</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00090">rtc.h:90</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d47364bb2baa1c6ab7f20a7df83c562"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">RTC_GetAlarmDateAndTime</a></div><div class="ttdeci">void RTC_GetAlarmDateAndTime(S_RTC_TIME_DATA_T *sPt)</div><div class="ttdoc">Read alarm date/time from RTC setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00316">rtc.c:316</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3dfc56f94720f1d0ad59b7e02cad2547"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">RTC_Open</a></div><div class="ttdeci">void RTC_Open(S_RTC_TIME_DATA_T *sPt)</div><div class="ttdoc">This function is used to:  .</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00106">rtc.c:106</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga409ada4692ecf2989c51684fc5a11596"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">RTC_SetAlarmDateAndTime</a></div><div class="ttdeci">void RTC_SetAlarmDateAndTime(S_RTC_TIME_DATA_T *sPt)</div><div class="ttdoc">This function is used to set alarm date/time to RTC.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00513">rtc.c:513</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga47000df9a2b3e5007206cff3a64a13a0"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga47000df9a2b3e5007206cff3a64a13a0">S_RTC_TIME_DATA_T::u32Hour</a></div><div class="ttdeci">uint32_t u32Hour</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00086">rtc.h:86</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga524763363389c8ac1638edfa0bc40d26"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">RTC_EnableTamperDetection</a></div><div class="ttdeci">void RTC_EnableTamperDetection(uint32_t u32PinCondition)</div><div class="ttdoc">This function is used to:  .</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00790">rtc.c:790</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga60e2a39242d550d372cd5b3ea88c20f1"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">RTC_SetDate</a></div><div class="ttdeci">void RTC_SetDate(uint32_t u32Year, uint32_t u32Month, uint32_t u32Day, uint32_t u32DayOfWeek)</div><div class="ttdoc">This function is used to update date to RTC.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00593">rtc.c:593</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6f87d84d966a979b91af4db66582d9c3"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">RTC_Close</a></div><div class="ttdeci">void RTC_Close(void)</div><div class="ttdoc">Disable RTC clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00952">rtc.c:952</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga73517c90b11996fdd2f7d88c9d52108b"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga73517c90b11996fdd2f7d88c9d52108b">S_RTC_TIME_DATA_T::u32Minute</a></div><div class="ttdeci">uint32_t u32Minute</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00087">rtc.h:87</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga814dadca05393de94c8086104d7d0595"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">RTC_SetTime</a></div><div class="ttdeci">void RTC_SetTime(uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</div><div class="ttdoc">This function is used to update time to RTC.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00638">rtc.c:638</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8e1878e1510ce6ead051162995c6dc19"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e1878e1510ce6ead051162995c6dc19">S_RTC_TIME_DATA_T::u32Day</a></div><div class="ttdeci">uint32_t u32Day</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00084">rtc.h:84</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga90c962807d6695fe7ebed72d1f14d0a5"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c962807d6695fe7ebed72d1f14d0a5">S_RTC_TIME_DATA_T::u32DayOfWeek</a></div><div class="ttdeci">uint32_t u32DayOfWeek</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00085">rtc.h:85</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga91109691f6f2f09309ea4f8a80c5dfad"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">RTC_SetAlarmTime</a></div><div class="ttdeci">void RTC_SetAlarmTime(uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</div><div class="ttdoc">This function is used to set alarm date to RTC.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00735">rtc.c:735</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga95e7b212d9ea3c8d9925f1d9d6a7adba"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">RTC_DisableInt</a></div><div class="ttdeci">void RTC_DisableInt(uint32_t u32IntFlagMask)</div><div class="ttdoc">The function is used to disable specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00915">rtc.c:915</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9952ececf928b21361f438a9838098e8"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">RTC_DisableTamperDetection</a></div><div class="ttdeci">void RTC_DisableTamperDetection(void)</div><div class="ttdoc">This function is used to disable tamper detection function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00819">rtc.c:819</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaaf57f7bbfd9a465e0d40bffd6374871f"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf57f7bbfd9a465e0d40bffd6374871f">S_RTC_TIME_DATA_T::u32Year</a></div><div class="ttdeci">uint32_t u32Year</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00082">rtc.h:82</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab033fe338dc5c91d0c05975380f4d46c"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">RTC_SetTickPeriod</a></div><div class="ttdeci">void RTC_SetTickPeriod(uint32_t u32TickSelection)</div><div class="ttdoc">The function is used to set time tick period for periodic time tick Interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00865">rtc.c:865</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gacefd98fd02a524ba3db5490b68da2a9d"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">RTC_SetAlarmDate</a></div><div class="ttdeci">void RTC_SetAlarmDate(uint32_t u32Year, uint32_t u32Month, uint32_t u32Day)</div><div class="ttdoc">This function is used to set alarm date to RTC.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00692">rtc.c:692</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad18f79857eb312939ada311a91b0ae62"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad18f79857eb312939ada311a91b0ae62">S_RTC_TIME_DATA_T::u32Second</a></div><div class="ttdeci">uint32_t u32Second</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00088">rtc.h:88</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad3abd0c20af75576b6f3ab0d0dcb67fe"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad3abd0c20af75576b6f3ab0d0dcb67fe">S_RTC_TIME_DATA_T::u32TimeScale</a></div><div class="ttdeci">uint32_t u32TimeScale</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00089">rtc.h:89</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf6a099b0c535e8896b99f744601f9d8a"><div class="ttname"><a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">RTC_GetDateAndTime</a></div><div class="ttdeci">void RTC_GetDateAndTime(S_RTC_TIME_DATA_T *sPt)</div><div class="ttdoc">Read current date/time from RTC setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcc/rtc_8c_source.html#l00223">rtc.c:223</a></div></div>
<div class="ttc" id="astruct_s___r_t_c___t_i_m_e___d_a_t_a___t_html"><div class="ttname"><a href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a></div><div class="ttdoc">RTC define Time Data Struct.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1b/rtc_8h_source.html#l00081">rtc.h:81</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
